Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 234432 - Broken multi-lib dependency in FC6 update
Summary: Broken multi-lib dependency in FC6 update
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: distribution
Version: 6
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Luke Macken
QA Contact: Bill Nottingham
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-29 07:07 UTC by Michael Schwendt
Modified: 2016-09-20 02:37 UTC (History)
3 users (show)

Fixed In Version: 3.5.6-0.1.fc6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-02-09 05:56:31 UTC


Attachments (Terms of Use)

Description Michael Schwendt 2007-03-29 07:07:54 UTC
source rpm: kdeutils-3.5.6-0.1.fc6.src.rpm
package: kdeutils-devel - 6:3.5.6-0.1.fc6.i386 from fedora-core-updates-6-x86_64
  unresolved deps: 
     libkmilo.so.1
     libkregexpeditorcommon.so.1
     libksimcore.so.1
     libkhexeditcommon.so.0
     libkcmlaptop.so.0

kdeutils.i386 is not available for x86_64.

Comment 1 Luke Macken 2007-04-01 07:52:03 UTC
I added kdeutils to the multilib list for FC6 updates and am re-pushing the last
KDE update now.

Comment 2 Michael Schwendt 2007-05-17 10:44:30 UTC
http://www.redhat.com/archives/fedora-list/2007-May/msg01738.html

Doesn't work because of Python:

source rpm: kdeutils-3.5.6-0.1.fc6.src.rpm
package: kdeutils - 6:3.5.6-0.1.fc6.i386 from fedora-core-updates-6-x86_64
  unresolved deps: 
     libpython2.4.so.1.0

Comment 3 Luke Macken 2007-08-29 03:04:25 UTC
So what needs to be done to resolve this issue?  Remove kdeutils from multilib?
or add python? or .. ?

Comment 4 Michael Schwendt 2007-08-29 08:34:01 UTC
Removing kdeutils would create a loop back to the start
of this ticket. Adding python.i386 to x86_64 doesn't work.

Fixing it with a parallel-installable "python-libs" package
would be possible.


Comment 5 Luke Macken 2008-02-09 05:56:31 UTC
FC6 is EOL'd


Note You need to log in before you can comment on or make changes to this bug.